Ubuntu

[nvidia] compiz displays white screen when locked

Reported by Andrey Vihrov on 2007-11-05
430
This bug affects 22 people
Affects Status Importance Assigned to Milestone
compiz (Ubuntu)
Undecided
Michael Vogt
Hardy
Medium
Michael Vogt
gdm (Ubuntu)
Undecided
Unassigned
Hardy
Undecided
Unassigned
gnome-screensaver (Ubuntu)
Medium
Unassigned
Hardy
Undecided
Unassigned
linux-restricted-modules-2.6.24 (Ubuntu)
Undecided
Unassigned
Hardy
Undecided
Unassigned
nvidia-graphics-drivers-180 (Ubuntu)
Medium
Unassigned
Hardy
Undecided
Unassigned
xorg-server (Ubuntu)
Medium
Unassigned
Hardy
High
Unassigned

Bug Description

Binary package hint: compiz

My computer has two users, and they are often logged onto X simultaneously. I am one of the users and I use compiz. The problem is that when I lock my screen and switch to other VT (using ctrl+alt+fN or Fast User Switch Applet), then back to mine I get a white screen instead of Gnome unlock dialog. However, the mouse pointer still exists and even changes to cursor-like when I point the area where password text box should be located. I am able then to enter my password (the screen remains completely white) and to press enter. After that I am returned to my desktop as if nothing has happened.

I'm running Gutsy. compiz version is 1:0.6.0+git20071008-0ubuntu1.1. I have an nvidia video card with nvidia-glx-new 100.14.19+2.6.22.4-14.9 installed.

TEST CASE:
1. install hardy on a system with nvidia hardware
2. install proprietary nvidia driver
3. run compiz
4. create a additional user B
5. use the "fast-user-switching" applet to switch to that user B
6. switch back to user A
7. verify that the screen is white

1. install compiz-core from hardy-proposed
2. restart the X session
3. use the "fast-user-switching" applet to switch to user B
4. switch back to user A
9. verify that the screeen is not white
10. verify that you can not break out of the lock (compare to bug #145123) by pressing key combinations like "alt-tab", "ctrl-alt-arrow" etc
11. Verify that no notifcation daemon message appear when the screen is locked over the log (see comment #95)

Steps to reproduce :

1. Login to user 1
2. Use the fast user switcher applet to login to user 2
3. Logout from user 2 session

Result : You get a white screen. You have to type your password and the white screen will disappears.

Nanley Chery (nanoman) wrote :

I have tested and successfully reproduced this bug on two NVIDIA based computers (new and old) running Gutsy 7.10.

Changed in compiz:
status: New → Confirmed
Andrey Vihrov (andrey-vihrov) wrote :

I am quite surprised, before your post I was almost sure the bug resides in compiz itself. However, if someone with non-NVIDIA video card tests the bug presence and reports negative, we can reassign this bug to nvidia-glx and nvidia-glx-new or linux-restricted-modules.

Ricardo Pérez López (ricardo) wrote :

I have the same problem as well. I have an nVidia card.

Changed in linux-restricted-modules-2.6.22:
status: New → Confirmed
Julian Kniephoff (jules-k) wrote :

Just want to add my "confirmed" here: Three users on a nVIDIA-graphics based PC here with one (me) using compiz and getting a white screen when switching from a "normal" (Metacity) user to mine (not the other way around, though).
All this is under Gutsy.

Emilio Scalise (emisca) wrote :

I can confirm this on an nvidia geforce 4 mx 440, proprietary driver 9639. Same symptoms. I have two users, if I switch from one to another, the gnome screensaver window of the user (the one that is logged in after the first) is white.

I'm using the latest compiz, 1:0.6.0+git20071008-0ubuntu1.1

Nanley Chery (nanoman) wrote :

I've got a friend with an Intel card, I go to his house and test it sometime.

ktulu77 (ktulu-highwaytoacdc) wrote :

I have this bug too :-( My nvidia card is FX 5200

Richard Andreu (randreu) wrote :

I have exactly the same problem. My card is a Nvidia Fx 5500, propietary driver and Compiz Fusion enabled.

Evgeny Remizov (ram3ai) wrote :

I can confirm this on my PC with nVidia 6600GT, but it is _not_ reproducible on another one with Intel 945.

Andrey Vihrov (andrey-vihrov) wrote :

So this is an NVIDIA bug indeed.

Changed in compiz:
status: Confirmed → Invalid
Nanley Chery (nanoman) wrote :

Yes it is. I just tried to reproduce it on my friends Intel system and nothing happened.

Andrey Vihrov (andrey-vihrov) wrote :

I just noticed that the lock screen window isn't the only one "buggy". It seems to happen with all windows that are opened while the particular VT is inactive (some kind of pop-ups for example, in my case - Skype Downloads window and various Gnome messages). The windows appear white and there is nothing where the title area and the borders should be (although, as it was with the lock screen, the window can be manipulated with the keyboard and mouse blindly).

As far as I understand, compiz uses hardware-accelerated textures and overlays to draw windows. Hence it seems that a texture allocation/initialization fails with NVIDIA on inactive VTs for some reason.

Based on this, I suggest a workaround for the bug. We must avoid window creation on inactive VT, so rather than just using Fast User Switch Applet one should lock the screen manually (ctrl+alt+L) and then use the Switch User button. Screensavers/time-based screen locking should be also turned off - use explicit lock instead. Fast User Switch Applet can also be configure not to lock the screen.

Andrey Vihrov (andrey-vihrov) wrote :

Accidentally found this today: http://www.nvnews.net/vbulletin/showthread.php?t=102509

* Fixed a problem with Compiz after VT-switching.

eric (laforge2001) wrote :

This behavior also occurs when the pc is left on and the screensaver
kicks in. Attempting to switch users using the fast-user-switch-applet
results in a white screen. Pressing Alt+S will reload gdm, however this
is probably not the desired solution. A group of users have seen this
same issue as seen here:

http://ubuntuforums.org/showthread.php?t=591190

I am using the nvidia-restricted drivers with compiz-fusion on Gutsy.

Sergiu Bivol (sergiu-bivol) wrote :

I just dropped by to confirm the same bug on the same nVidia card (GeForce 6100, on-board), with proprietary driver and compiz.

David Lichterman (lavid) wrote :

I can also confirm this on a fresh install with a NVIDIA 6600GT

Changed in gdm:
status: New → Invalid
Andrey Vihrov (andrey-vihrov) wrote :

New driver package was released officially yesterday by NVIDIA: http://www.nvidia.com/object/linux_display_amd64_169.07.html
Expect updates soon.

darthanubis (darthanubis) wrote :

cat /proc/driver/nvidia/cards/0
Model: GeForce 6200
IRQ: 16
Video BIOS: 05.44.a2.06.61
Card Type: AGP
DMA Size: 32 bits
DMA Mask: 0xffffffff
Bus Location: 01.00.0

cat /proc/driver/nvidia/version
NVRM version: NVIDIA UNIX x86_64 Kernel Module 169.07 Thu Dec 13 18:34:01 PST 2007
GCC version: gcc version 4.1.3 20070929 (prerelease) (Ubuntu 4.1.2-16ubuntu2)

Version: 169.07
Operating System: Linux x64 (AMD64/EM64T)
Release Date: December 20, 2007

Fast User white out still present.

I followed the bug report for the VT switch bug months ago and had no issue switching to and fron tty. Have also been running the beta 169.04 for compiz stability.

Considering the changelog for this driver :

Fixed several X rendering issues.
Fixed stability problems with some GeForce 6200/7200/7300 GPUs multi-core/SMP systems.
Fixed a problem with Compiz after VT-switching.
Improved RENDER performance.
Fixed a bug that caused corruption with redirected XV on GPUs without TurboCache support.
Improved usability of NVIDIA-settings at lower resolutions like 1024x768 and 800x600.

I had hoped all would be well.

Oh well....

Andrey Vihrov (andrey-vihrov) wrote :

If this is true, what is the VT-switching bug that they have fixed in this release? :>

TheSilencer (da-silencer) wrote :

Same here, just confirming. I see this as a rather serious bug because for a "normal" user it can seem as a total crash. I know my girlfriend will be really annoyed about not being able to use a function as simpel as "Switch user".

Travis Watkins (amaranth) wrote :

This is still happening with the 169.07 driver in hardy, updating package.

Kyle M Weller (kylew) wrote :

I can reproduce this bug as well, when the white screen shows up pressing alt-s clears it but it is indeed a problem that needs to be fixed, I have gutsy with a nvidia fx 5500, latest restricted drivers, even compiled my own drivers with envy and I still can reproduce the same issue

Richard Ayotte (rich-ayotte) wrote :

Problem is still there in Hardy Alpha 4. I've got an nVidia 6200 Turbo Cache.

Timo Aaltonen (tjaalton) wrote :

Confirmed. We just need to wait for a fix from NVidia.

Changed in linux-restricted-modules-2.6.24:
importance: Undecided → Medium
Lex Ross (lross) wrote :

Confirmed on nVidia 7000M Asus F5N laptop

Changed in dell:
importance: Undecided → High
status: New → Confirmed
jeperezd (jeperezd) wrote :

I can confirm I had this issue once I stalled compiz in two fresh installs of Gutsy 7.10 (one x32 and one x64) with a nVidia GT8600

I notice (not always) when changing users, and when returning from screen saver.

Linux x64 (AMD64/EM64T) Display Driver

Version: 169.12
Operating System: Linux x64 (AMD64/EM64T)
Release Date: February 26, 2008

Release Highlights

    * Improved power management support with GeForce 8 GPUs.
    * Further improved stability on some GeForce 8 GPUs.
    * Fixed a bug that broke certain TwinView configurations with TV-OUT on GeForce 8 GPUs.
    * Fixed a bug that could cause OpenGL to crash in certain cases, e.g. when running Counter-Strike under Wine.
    * Further improved GLX_EXT_texture_from_pixmap out-of-memory handling.
    * Fixed a bug that could result in incorrect PowerMizer state being reported.
    * Improved nvidia-xconfig behavior when updating X configuration files without a "Module" section.
    * Worked around a problem that caused function key presses on some Toshiba notebooks to result in system crashes.

http://www.nvidia.com/object/linux_display_amd64_169.12.html

sfan (sfan) wrote :

I can confirm this bug with hardy, NVIDIA 7600 gs

Is this "Further improved GLX_EXT_texture_from_pixmap out-of-memory handling" a fix for this bug? Did anyone test it?

Travis Watkins (amaranth) wrote :

Nope, doesn't fix it.

Does nvidia have a bug tracking system, in order to report this bug and track it?

Richard Ayotte (rich-ayotte) wrote :

I asked nVidia the same question and they told me that their forum is their bug tracker.

http://www.nvnews.net/vbulletin/showthread.php?s=608ff3cf670e498bc114a281d973d45e&t=46678

Dell already have a bug opened with Nvidia.

dano (danoex) wrote :

same problem in hardy beta
nvidia 6500gt

Chak Man Yeung (dasunst3r) wrote :

Confirmed on Dell Inspiron E1505 with nVidia GeForce Go 7300 w/ 169.12 driver, Compiz Fusion enabled. I am currently using Gutsy. This issue is intermittent and appears only when the computer is coming out of suspend. I also can type in my password and everything will be fine.

Confirmed on Insipron D830 w/nvidia in hardy, and D820 w/nvidia in Gutsy

Nick Russell (thatnick) wrote :

Confirmed on nVidia 8800gt/Hardy beta.

nyékhelyi gábor (n0gabor) wrote :

Confirmed on nVidia 7600GS nvidia-glx-new/Hardy beta.

Julian Alarcon (alarconj) wrote :

Confirmed on nVidia 6200/Hardy Heron - Beta (Completely updated).

This bug is so similar to this one:

https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/122549

Travis Watkins (amaranth) wrote :

Completely different bug with completely different symptoms and causes, that one ended up being fixed in the X server. If that bug was still present it would make this one a million times worse though.

Changed in linux-restricted-modules-2.6.24:
status: Confirmed → Triaged
Changed in compiz:
status: Invalid → Confirmed
Changed in linux-restricted-modules-2.6.24:
assignee: nobody → stefan-bader-canonical
Changed in compiz:
status: Confirmed → Invalid
description: updated
Changed in compiz:
status: Invalid → New
Changed in compiz:
status: New → Confirmed
Stefan Bader (smb) on 2008-05-02
Changed in linux-restricted-modules-2.6.24:
assignee: stefan-bader-canonical → nobody
Bryce Harrington (bryce) on 2008-05-14
Changed in linux-restricted-modules-2.6.24:
status: Triaged → Fix Released
Changed in xorg-server:
assignee: nobody → bryceharrington
importance: Undecided → High
milestone: none → ubuntu-8.04.1
status: New → In Progress
Changed in dell:
status: Confirmed → Fix Released
Michael Vogt (mvo) on 2008-05-28
description: updated
Michael Vogt (mvo) on 2008-05-28
description: updated
Changed in compiz:
assignee: nobody → mvo
importance: Undecided → Medium
status: New → Fix Committed
Martin Pitt (pitti) on 2008-05-28
Changed in gdm:
status: New → Invalid
Changed in xorg-server:
status: In Progress → Fix Committed
Changed in linux-restricted-modules-2.6.24:
status: New → Won't Fix
status: New → Confirmed
Michael Vogt (mvo) on 2008-06-02
description: updated
Steve Langasek (vorlon) on 2008-06-10
Changed in xorg-server:
milestone: ubuntu-8.04.1 → none
status: Fix Committed → In Progress
79 comments hidden view all 159 comments
Martin Pitt (pitti) wrote :

Michael, please fix this ASAP in Intrepid.

Changed in compiz:
status: Fix Committed → Fix Released
assignee: nobody → mvo
milestone: none → intrepid-alpha-2
status: Confirmed → In Progress

Hi, I have tried the hardy-proposed fix and it seems to be working. If I have problems with this patch I will report it.

Michael Vogt (mvo) wrote :

This is fixed in intrepid now too.

Changed in compiz:
status: In Progress → Fix Released
Mario Limonciello (superm1) wrote :

Actually the fix for the hardy package was uploaded a very long time ago (February). that's why this was marked as it was.

Changed in xorg-server:
status: In Progress → Fix Released
peddy (peddy22) wrote :

Fix did not work for me (both patching Compiz manually and downloading Mario's debs).

Running Hardy 64-bit with Compiz 0.7.4.

dfalk (dfalk) wrote :

This fix does not work for me either. I have a 8400 GS, Hardy 64, compiz 0.7.4

It doesn't work on my Inspiron 1420n either. Also an 8400, Hardy 32 bit

dfalk (dfalk) wrote :

forgot to mention that I have installed the envy driver, 173.14.05 but it didn't help.

Also, this seems like a security issue to me, considering that it encourages people to enter their password into a white screen...

peddy (peddy22) wrote :

Forgot to mention I'm running the nVidia 8800GTS with latest Asus firmware.

peddy (peddy22) wrote :

Problem still occurs in Hardy beta 1

peddy (peddy22) wrote :

Of course, I meant Intrepid Ibex beta 1 :-P

Carl Seabold (cseabold) wrote :

I too exhibit this issue. I run an Nvidia card in a Dell Vostro 1400.

A bit more info of my testing:

-I've tried to Restricted Nvidia drivers and the EnvyNG 173.14.12 drivers with no difference.
-If I manually kill compiz prior to Suspend I have a higher probability (1/2) of getting a normal wake-up with password field.
-If I leave compiz running prior to Suspend I have a lower probability (~1/20) of getting a normal wake-up.
-There is no difference between closing the lid and manually selecting shutdown & suspend.

Extraneous facts:
-Compiz will randomly crash while rotating screens, a manual restart works properly.
-Restarting X (gnome) with CTRL-ALT-Backspace increases the frequency of Compiz freezing.
-Upon wake up from Suspend, the taskbar is always frozen. My work around is opening Tomboy (which loads a taskbar icon) and then close it, after that the taskbar returns to normal operation.

Hopefully this helps someone, I am very willing to do testing if anyone would like to guide me.

mahmood (mahmood-sajjadi) wrote :

i have ubuntu 8.10 and my problem with switching to guest user.
when i need to came back to my own user accunt and logout the guest user accunt this bug will be there
just white screen with a mouse cursor

lucianob (lucianobordon) wrote :

This bug is not closed, it happens on intrepid ibex to. I found at least 4 diferents duplicates of this bug, old, very old, and this is still a problem on intrepid. So, is there any good workaround?

Someone change the fix released to something else, because this bug is not solved

i will keep searching for duplicates and marking them

I have an nvidia card and am running Ubuntu 8.10. I also have this bug.

What I've found though is that the screen renders white -but my system doesn't crash. In fact, if I enter my password, I log back into my account and everything is totally fine: no rendering problems, no functionality issues.

I've come to the conclusion that this is a rendering bug that renders all content (but the cursor) as white. When I enter my password (since the password input field has focus by default), the screen fades to normal from white.

Additionally, I'd like to note that when I switch to ANOTHER user (i.e. User2 [myself being User1]), I'm able to see the login window with a black background.

So to get the full results I've encountered, follow these steps:

1. Install Ubuntu 8.10 on a system with nvidia hardware. Enable compize/desktop effects.
2. create a secondary user account.
3.a switch from User1 to User2 (fast-user-switching).
3.b when switching to User2, you'll be prompted for a password within the standard GDM login.
4. once logged in, switch back to User1. do NOT log out.
5. the screen blanks to white, type in your password and hit Enter.
6. you should see User1's desktop.
7. switch back to User2 and this time the "locked screen" login is visible. Black background with visible dialog (borderless).

- from this point forward, performing these actions will return the same results.

Perhaps this is a permissions issue with rendering? Just a thought.

Special things to take into consideration:
User2 is just a regular user without any administrative privileges.
Both users have desktop effects enabled.

If a developer would like to contact me with further questions please send them to patryk at digital dash evolutions dot com.

Would love to have this fixed.

Just thought I'd add this:

I just tried locking my screen as User1. The screen-saver started running. I hit ESC to exit the screen-saver and log back in. I was prompted with the standard unlock login prompt (no white screen).

At this screen I chose "Switch User" instead of logging in. I was prompted through the GDM login screen for a username and password. I entered User2 / password and was dropped into User2's desktop immediately (as if I had switched users; i.e. it didn't login a new User2 session, but rather switched me to User2 --this all seems correct).

At this point I switched back to User1 and was prompted with User1's unlock screen --NOT the white screen. I was able to unlock the screen with User1's password and was back to User1's desktop.

My reason for mentioning this is because it seems that when I went from the unlock screen (where U1's screen was locked), I was able to return without the white screen. When I go directly from my desktop and switch users, I return to the white screen. I'm hoping that this will help to isolate the offending code.

To tie this into the permissions idea; the locked screen prompt is publicly visible, while my desktop isn't. ?? M'eh. Just a thought. Anyway, I hope this helps shed some light.

Related I think:

If I switch users and insert mdia or do som other action that causes a popup on my original desktop and then switch back and unlck, thn on that desktop I see some pure white windows slightly largr than what the popup window would be.

I can only get rid f these winds using the brokn-window killer.

Sam

-----Original Message-----
From: Patryk J <email address hidden>
Sent: 16 December 2008 06:49
To: <email address hidden>
Subject: [Bug 160264] Re: [nvidia] compiz displays white screen when locked

Just thought I'd add this:

I just tried locking my screen as User1. The screen-saver started
running. I hit ESC to exit the screen-saver and log back in. I was
prompted with the standard unlock login prompt (no white screen).

At this screen I chose "Switch User" instead of logging in. I was
prompted through the GDM login screen for a username and password. I
entered User2 / password and was dropped into User2's desktop
immediately (as if I had switched users; i.e. it didn't login a new
User2 session, but rather switched me to User2 --this all seems
correct).

At this point I switched back to User1 and was prompted with User1's
unlock screen --NOT the white screen. I was able to unlock the screen
with User1's password and was back to User1's desktop.

My reason for mentioning this is because it seems that when I went from
the unlock screen (where U1's screen was locked), I was able to return
without the white screen. When I go directly from my desktop and switch
users, I return to the white screen. I'm hoping that this will help to
isolate the offending code.

To tie this into the permissions idea; the locked screen prompt is
publicly visible, while my desktop isn't. ?? M'eh. Just a thought.
Anyway, I hope this helps shed some light.

--
[nvidia] compiz displays white screen when locked
https://bugs.launchpad.net/bugs/160264
You received this bug notification because you are a direct subscriber
of a duplicate bug.

pvajko (ubuntu-vajko) wrote :

I don't think this bug has much to do with compiz or nvidia. I have the same bug on my 8.04, on a ThinkPad X60s, with xserver-xorg-video-intel.

What I found is that the bug can be reproduced simply by starting X (no gnome, no compiz, nothing) on two terminals like: X :0 vt7 and X :1 vt9. Now, when I switch to vt7, I see the blank screen with the cursor. However, if I start a third X server with X :2 vt10, I can switch between the second and the third one (vt9 and vt10).

So now, if I stop gdm, start one 'placeholder' X on vt7, then start gdm, I can work normally and do fast user switching from gnome, as only the first, 'dummy' X server is broken.

Chris Coulson (chrisccoulson) wrote :

This appears to have regressed somewhat in Jaunty. I now get the white screen again when switching users, much like what happened before .

Gregory Oschwald (osch0001) wrote :

I am also experiencing this again in Jaunty.

Chris Coulson (chrisccoulson) wrote :

I just had a play around, and my problem is that Unredirect Fullscreen windows wasn't enabled. Enabling this fixes it again. I can't remember what the default was in Intrepid though, but it is off by default in Jaunty

Arthur Peters (amp) wrote :

I can confirm that this is present again in Jaunty. This bug should probably be reopened, since it happens on a default Jaunty install.

It seems to be gnome-screensaver / nvidia driver's fault

Quick fix, do the following on both accounts you're using fast user switch:
1) Disable gnome-screensaver: System > Preferences > Screensaver
2) Right-click on "Fast User Switch" applet on the gnome panel bar,
choose "preferences", uncheck "Lock screen after switching users"

May be related: I don't think this bug ever went away fully. If new windows popup while switched to another user, thn whn I switch backand unlock, each popped-up new window is white and slightly bigger than it should be.

Id2ndR (id2ndr) wrote :

I *cannot* confirm the bug on jaunty. I use nvidia-glx-180 (version 180.37-0ubuntu1) with a 9600GT and compiz (and of course gnome-screensaver).

2009/3/16 Id2ndR <email address hidden>:
> I *cannot* confirm the bug on jaunty. I use nvidia-glx-180 (version
> 180.37-0ubuntu1) with a 9600GT and compiz (and of course gnome-
> screensaver).

I think this problem is restricted to 7xxx and 8xxx, if I remember correctly.

$ apt-cache policy nvidia-glx-180 gnomescreensaver; echo; lspci -nn | grep VGA
nvidia-glx-180:
  Installed: 180.37-0ubuntu1
  Candidate: 180.37-0ubuntu1
  Version table:
 *** 180.37-0ubuntu1 0
        500 http://archive.ubuntu.com jaunty/restricted Packages
        100 /var/lib/dpkg/status

gnome-screensaver:
  Installed: 2.24.0-0ubuntu5
  Candidate: 2.24.0-0ubuntu5
  Version table:
 *** 2.24.0-0ubuntu5 0
        500 http://archive.ubuntu.com jaunty/main Packages
        100 /var/lib/dpkg/status

01:00.0 VGA compatible controller [0300]: nVidia Corporation G70
[GeForce 7300 GT] [10de:0393] (rev a1)

l-x-l (labouie) wrote :

I can verify the bug is still in Jaunty. Using NVidia driver version 180.44 (recommended driver) on a GEForce Go 7900 GS with Compiz enabled.

I used Savvas Radevic's fix as a workaround & it works but at the cost of disabling screen savers.

Changed in nvidia-graphics-drivers-180 (Ubuntu):
importance: Undecided → Medium
status: New → Confirmed
cameleon (el-cameleon-1) wrote :

Hi,
I have an Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller on a Dell 1525N laptop (Dell Ubuntu system), and unfortunately I also see this bug with Jaunty...

Bryce Harrington (bryce) on 2009-08-13
tags: added: hardy
Changed in gnome-screensaver (Ubuntu):
importance: Undecided → Medium
Bryce Harrington (bryce) wrote :

[We don't ship l-r-m anymore]

Changed in linux-restricted-modules-2.6.24 (Ubuntu):
status: Confirmed → Invalid
Bryce Harrington (bryce) wrote :

I'm closing this bug as believed fixed. If anyone is still seeing this symptom on lucid I would recommend filing new bugs against nvidia-graphics-drivers, as this bug report has gotten far too lengthy already.

Changed in nvidia-graphics-drivers-180 (Ubuntu):
status: Confirmed → Fix Released
David Clayton (dcstar) wrote :

I use 10.04 with ATI drivers and have experienced this bug - what package should I report it as because I do not use Nvidia hardware?

Am 25/04/10 02:41, schrieb David Clayton:
> I use 10.04 with ATI drivers and have experienced this bug - what
> package should I report it as because I do not use Nvidia hardware?
>

I guess that's xorg-driver-fglrx.

Thomas Hotz (thotz) wrote :

Is this still an issue for you? What Ubuntu version do you use? Thank you for telling us!

Changed in gnome-screensaver (Ubuntu Hardy):
status: New → Invalid
Changed in nvidia-graphics-drivers-180 (Ubuntu Hardy):
status: New → Fix Released
Changed in gnome-screensaver (Ubuntu):
status: New → Incomplete
Ds (detlef-schaal) wrote :

Hello,

It is not an issue anymore. I am using the Ubuntu from early this
year. Have no access to a computer to check the exact version.
Best regards,
Detlef
Sent from my iPad

On 03.12.2012, at 13:01, Thomas Hotz <email address hidden> wrote:

> Is this still an issue for you? What Ubuntu version do you use? Thank
> you for telling us!
>
> ** Changed in: gnome-screensaver (Ubuntu Hardy)
> Status: New => Invalid
>
> ** Changed in: nvidia-graphics-drivers-180 (Ubuntu Hardy)
> Status: New => Fix Released
>
> ** Changed in: gnome-screensaver (Ubuntu)
> Status: New => Incomplete
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (112518).
> https://bugs.launchpad.net/bugs/160264
>
> Title:
> [nvidia] compiz displays white screen when locked
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/dell/+bug/160264/+subscriptions

Ray DeCampo (rdecampo) wrote :

I used to have this issue but have not experienced it for years. Currently running a clean install of 12.10 with the recommended nvidia driver (304.51) with no problems.

moma (osmoma) wrote :

Switching between users works perfectly well in Ubuntu 12.10.
I tested both the guest-account and a second user account, and fast-user-switching from the applet works well. The display flashes couple of time due to mode change, but the up-coming Wayland display manager will fix that too.

I have Nvidia GeForce GT 525M graphics chipset with these drivers:
$ dpkg -l | grep -i nvidia
ii nvidia-current 304.64-0ubuntu1~quantal~xup1 i386 NVIDIA binary Xorg driver, kernel module and VDPAU library
ii nvidia-current-dev 304.64-0ubuntu1~quantal~xup1 i386 NVIDIA binary Xorg driver development files
ii nvidia-settings 304.64-0ubuntu1~quantal~xup1 i386 Tool for configuring the NVIDIA graphics driver

I just can't wait for Wayland display manager.

Thomas Hotz (thotz) on 2012-12-03
Changed in gnome-screensaver (Ubuntu):
status: Incomplete → Fix Released
Vadim Peretokin (vperetokin) wrote :

I don't get a white screen on computer unlock, but I frequently do get the
contents of a window painted completely white on unminimize.

On Mon, Dec 3, 2012 at 10:42 PM, Thomas Hotz <email address hidden>wrote:

> ** Changed in: gnome-screensaver (Ubuntu)
> Status: Incomplete => Fix Released
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (224448).
> https://bugs.launchpad.net/bugs/160264
>
> Title:
> [nvidia] compiz displays white screen when locked
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/dell/+bug/160264/+subscriptions
>

MountainX (dave-mountain) wrote :

Hi. It is not an issue for me anymore because I'm using a different
computer with ATI graphics now. I'm using Kubuntu 12.04. I don't have any
issues (especially now that I have firefox-kde-support, which is unrelated,
of course) :-)

On Mon, Dec 3, 2012 at 6:52 AM, Thomas Hotz <email address hidden> wrote:

> Is this still an issue for you? What Ubuntu version do you use? Thank
> you for telling us!
>
> ** Changed in: gnome-screensaver (Ubuntu Hardy)
> Status: New => Invalid
>
> ** Changed in: nvidia-graphics-drivers-180 (Ubuntu Hardy)
> Status: New => Fix Released
>
> ** Changed in: gnome-screensaver (Ubuntu)
> Status: New => Incomplete
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (234824).
> https://bugs.launchpad.net/bugs/160264
>
> Title:
> [nvidia] compiz displays white screen when locked
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/dell/+bug/160264/+subscriptions
>

Bryce Harrington (bryce) on 2012-12-04
Changed in xorg-server (Ubuntu Hardy):
assignee: Bryce Harrington (bryce) → nobody
Daniel van Vugt (vanvugt) wrote :

Vadim: White windows is bug 729979.

Vadim Peretokin (vperetokin) wrote :

Ahh ok

Changed in somerville:
importance: Undecided → High
status: New → Fix Released
no longer affects: dell

The bug task for the somerville project has been removed by an automated script. This bug has been cloned on that project and is available here: https://bugs.launchpad.net/bugs/1306055

no longer affects: somerville
Displaying first 40 and last 40 comments. View all 159 comments or add a comment.